Description

In-game feature that provides a drop down box that allows you to craft multiple items at a time. With each content update, SOE
keeps making more and more of this required. Some times you need to make a few hundred items, etc.

You will need a higher level crafter. 95 works for sure, but 93 may work? Crafting class doesn't matter, it is available to all crafters.

First, open your AA window (default key: L)

Click on Tradeskill prestige, and spend points into the right side. You can spend them in anything on the right side, and keep
spending until you get the bottom option (Mass Production) available. Once you have 1 option in there, you can continue. (More
points just allows for more mass production, but for the sake of testing, 1 point is fine).

TradeskillPrestige.PNG

Then head over to the crafting stations. Bring up your recipe window ( Default key: N )
Select any recipe you want.
In the bottom left hand corner, you will see a new drop down box.

CraftWindow1.PNG

Change this value to whatever you want.

QuantityWindow.PNG

That's it.

Ideally being able to read/modify the drop down box would be perfect, especially if it's a global thing. Because there are other drop
downs that would be nice to modify also.

Some other possible suggestions/assumptions. | assume once the "begin" button is clicked, it simply calls a function and sends the
value from the mass production. If it is easier to expose that so we can pass parameters, that would be acceptable.

History

#1 - 2014-11-13 02:22 AM - Amadeus
- Status changed from New to Accepted

- Assignee set to Amadeus

#2 - 2014-11-14 01:01 AM - Amadeus
- Status changed from Accepted to Feedback Required

| think | can do this pretty quick/easy; however, | need a character upon which to test. (I don't have any characters with prestige tradeskill AA points.)
| don't expect to do any debugging initially, so it should be "safe testing" ...then, if what I'm thinking doesn't work, | would then have to get another
account that would be "less safe testing". :)

Anyway, send me an email with some information on an account to use for testing (Kannkor or anyone) and | should be able to do this pretty easily |
think.

#3 - 2014-11-16 05:38 PM - Amadeus
- File DropDownBox.iss added

- Status changed from Feedback Required to Resolved

The ability to manipulate the Quantity DropDownBox was added in version 20141111.0018:

November 16, 2014 -- By Amadeus
[20141111.0018]
* Added "DropDownBox" as a EQ2UIElement type (ie, for use with the "EQ2UIPage" TLO)
* The "Label" MEMBER of the 'EQ2UIElement' datatype will now work for "DropDownBox" types
* Added the following new METHODS to the 'eq2uielement’ datatype:
1. Set[Index#] (currently only works for "DropDownBox" type eq2uielements)
2. GetOptionsJindex:collection:string]  (currently only works for "DropDownBox" type eq2uielements)

For an example of how to use "GetOptions" see the attached DropDownBox.iss script. (Note: You will need to have your guild window open for the
sample script to work.)

Files

DropDownBox.iss 840 Bytes 2014-11-16 Amadeus
